Subject: Re: powerpc: Replace __get_cpu_var uses

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 28 Oct 2014 14:51:59 +1100

On Tue, 2014-10-28 at 09:04 +1100, Michael Ellerman wrote:
> On Tue, 2014-10-28 at 08:10 +1100, Benjamin Herrenschmidt wrote:
> > On Mon, 2014-10-27 at 10:57 -0500, Christoph Lameter wrote:
> > > Ping? We are planning to remove support for __get_cpu_var in the
> > > 3.19 merge period. I can move the definition for __get_cpu_var into the
> > > powerpc per cpu definition instead if we cannot get this merged?
> > 
> > Yes, yes, I know, we should merge that, Michael, can you still throw
> > that in ?
> 
> For 3.18, nah. We didn't even see it until after the merge window had closed.

No, we did see it a long time ago Michael, we just forgot about it. We
should put it in, everybody else has their equivalent.

> I realise they're all fairly simple translations, but it's too big and too easy
> for one of them to be wrong.
> 
> I'm happy to put it in a topic branch for 3.19, or move the definition or
> whatever, your choice Christoph.

But then we'll have a tricky sync needed to make sure the removal of
__get_cpu_var() doesn't get into Linus tree before this. Unless we just
ack the whole lot and let Christoph carry it in the same branch where
the removal is.

Ben.